Nest configuration broken, Google throwing an error

So I am trying to figure out how to setup my Nest bindings. I’m running 3.2.0 and I’ve got two issues going on. When I walked through the setup here: Nest - Bindings | openHAB

I ran into my first issue with step 1 Configure the “Publishing status” of your Google Cloud Platform to “Production”
When I went to the link, it showed me a whole bunch of stuff that wasn’t outlined in the documentation. I kinda took a stab and the configuration that seemed to make reasonable sense. I walked through the rest of the setup guide but when I get to step 5.2 Enable all the permissions you want to use with the binding and click “Next” to continue it throws this error:

Authorization Error
Error 400: invalid_request

You can’t sign in to this app because it doesn’t comply with Google’s OAuth 2.0 policy for keeping apps secure.

You can let the app developer know that this app doesn’t comply with one or more Google validation rules.

And now I’m stuck. Anyone have any thoughts on how to troubleshoot this?

There is a fix for this in 3.3.0-SNAPSHOT, see also:

You can also use the JAR in the comment with 3.2.0.

1 Like